/**
 *
 * NOTE: Customized for Meritage Alliance
 *
**/

/*** ESSENTIAL STYLES ***/
.sf-menu, .sf-menu * {
	margin:			0;
	padding:		0;
	list-style:		none;
}
.sf-menu {
	line-height:	1.0;
}
.sf-menu ul {
	position:		absolute;
	top:			-999em;
	width:			10em; /* left offset of submenus need to match (see below) */
}
.sf-menu ul li {
	width:			100%;
}
.sf-menu li:hover {
	visibility:		inherit; /* fixes IE7 'sticky bug' */
}
.sf-menu li {
	float:			left;
	position:		relative;
}
.sf-menu a {
	display:		block;
	position:		relative;
}
.sf-menu li:hover ul,
.sf-menu li.sfHover ul {
	left:			0;
	top:			27px; /* match top ul list item height - KDS: parent #nav div is 29px height, but subtract for the 3px bottom border */
	z-index:		99;
}
ul.sf-menu li:hover li ul,
ul.sf-menu li.sfHover li ul {
	top:			-999em;
}
ul.sf-menu li li:hover ul,
ul.sf-menu li li.sfHover ul {
	left:			10em; /* match ul width */
	top:			0;
}
ul.sf-menu li li:hover li ul,
ul.sf-menu li li.sfHover li ul {
	top:			-999em;
}
ul.sf-menu li li li:hover ul,
ul.sf-menu li li li.sfHover ul {
	left:			10em; /* match ul width */
	top:			0;
}




/* Overrides from main.css */
#nav ul ul  { margin-left:0; }
#nav ul ul a:hover { border-width:0; }

/* Not for Meritage Alliance
#nav ul.subnav-list li:first-child {border-top:3px solid #6F162D;}
*/



/*** DEMO SKIN ***/

.sf-menu {
	ZZZZZZZZZZZwidth:auto; /* KDS */
	float:			left;
	margin-bottom:	1em;
}
.sf-menu a {
	zzzborder-left:	1px solid #B46213;
	padding: 		.75em 1em;
	text-decoration:none;
}
.sf-menu a, .sf-menu a:visited  { /* visited pseudo selector so IE6 applies text colour*/
	zzzzzzcolor:			#594110;
}
.sf-menu li {
	zzzzzzbackground:		#EDD9AF;
}
.sf-menu li li {
	background:		#000;
}
.sf-menu li li li {
	zzzzbackground:		#F1D7B0;
}
.sf-menu li:hover, .sf-menu li.sfHover,
.sf-menu a:focus, .sf-menu a:hover, .sf-menu a:active {
	zzzzbackground:		#B46213;
 zzzzcolor:#fff;
	outline:		0;
}

/*** arrows **/
.sf-menu a.sf-with-ul {
	/*padding-right: 	25px !important;*/ /* KDS: adding Important to override main.css. (but not used for Meritage Alliance) */
	min-width:		1px; /* trigger IE7 hasLayout so spans position accurately */
}
.sf-sub-indicator {
	display:none;
	/*
	position:		absolute;
	display:		block;
	right:			.75em;
	top:			1.05em; / * IE6 only * /
	width:			10px;
	height:			10px;
	text-indent: 	-999em;
	overflow:		hidden;
	background:		url('../images/arrows-ffffff.png') no-repeat -10px -100px; / * 8-bit indexed alpha png. IE6 gets solid image only * /
	*/
}
a > .sf-sub-indicator {  /* give all except IE6 the correct values */
	top:			7px; /* KDS: deviating from default of 0.8em */
	background-position: 0 -100px; /* use translucent arrow for modern browsers*/
}
/* apply hovers to modern browsers */
a:focus > .sf-sub-indicator,
a:hover > .sf-sub-indicator,
a:active > .sf-sub-indicator,
li:hover > a > .sf-sub-indicator,
li.sfHover > a > .sf-sub-indicator {
	background-position: -10px -100px; /* arrow hovers for modern browsers*/
}

/* point right for anchors in subs */
.sf-menu ul .sf-sub-indicator { background-position:  -10px 0; }
.sf-menu ul a > .sf-sub-indicator { background-position:  0 0; }
/* apply hovers to modern browsers */
.sf-menu ul a:focus > .sf-sub-indicator,
.sf-menu ul a:hover > .sf-sub-indicator,
.sf-menu ul a:active > .sf-sub-indicator,
.sf-menu ul li:hover > a > .sf-sub-indicator,
.sf-menu ul li.sfHover > a > .sf-sub-indicator {
	background-position: -10px 0; /* arrow hovers for modern browsers*/
}

/*** shadows for all but IE6 ***/
.sf-shadow ul {
	background:	url('../images/shadow.png') no-repeat bottom right;
	padding: 0 13px 13px 0;
	-moz-border-radius-bottomleft: 17px;
	-moz-border-radius-topright: 17px;
	-webkit-border-top-right-radius: 17px;
	-webkit-border-bottom-left-radius: 17px;
}
.sf-shadow ul.sf-shadow-off {
	background: transparent;
}











/* OPTIONAL:  BEGIN NAV CENTERING "HACKS" ... per the most-excellent/awesome article at http://matthewjamestaylor.com/blog/centered-dropdown-menus  */

#ZZZZnav {
 clear:both;
 float:left;

 width:100%;
 z-index:1000; /* This makes the dropdown menus appear above the page content below */
 position:relative;

  margin-top:1em;
  margin-bottom:2.5em;
  padding-top:1px;
  padding-bottom:3px;

  border-top:1px solid #CCC;
  border-bottom:1px solid #CCC;
  background-color:#CCC;

}

#ZZZZnav ul.sf-menu {
 margin:0;
 padding:0;
 list-style:none;
 float:right;
 position:relative;
 right:50%;
}
#ZZZZnav ul.sf-menu li {
 margin:0 0 0 1px;
 padding:0;
 float:left;
 position:relative;
 left:50%;
 top:1px;
}
#ZZZZnav ul.sf-menu li a {
 display:block;
 margin:0;
}

/* AND UNDO SUB-MENUS */
#ZZZZnav ul.sf-menu li li {
 left:auto;
 text-align:left;
}